Get a specific record by ID
curl --request GET \
--url https://app.nex.ai/api/developers/v1/records/{record_id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.nex.ai/api/developers/v1/records/{record_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.nex.ai/api/developers/v1/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/records/{record_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-20T09:15:00Z",
"attributes": {
"name": {
"first_name": "Alice",
"last_name": "Johnson"
},
"email_addresses": [
"alice@techcorp.com"
],
"job_title": "Product Manager",
"phone_number": {
"country_code": 1,
"number": "5551112222"
},
"location": {
"street": "456 Innovation Dr",
"city": "Austin",
"region": "TX",
"postal_code": "73301",
"country": "US"
},
"linkedin": {
"username": "alicejohnson",
"url": "https://linkedin.com/in/alicejohnson"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Records
Get a specific record by ID
Retrieves a single record with all its attributes
GET
/
v1
/
records
/
{record_id}
Get a specific record by ID
curl --request GET \
--url https://app.nex.ai/api/developers/v1/records/{record_id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.nex.ai/api/developers/v1/records/{record_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.nex.ai/api/developers/v1/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.nex.ai/api/developers/v1/records/{record_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "32414268188027655",
"object_id": "32414268188027650",
"type": "person",
"workspace_id": "32414268188027645",
"created_at": "2024-01-15T14:20:00Z",
"updated_at": "2024-01-20T09:15:00Z",
"attributes": {
"name": {
"first_name": "Alice",
"last_name": "Johnson"
},
"email_addresses": [
"alice@techcorp.com"
],
"job_title": "Product Manager",
"phone_number": {
"country_code": 1,
"number": "5551112222"
},
"location": {
"street": "456 Innovation Dr",
"city": "Austin",
"region": "TX",
"postal_code": "73301",
"country": "US"
},
"linkedin": {
"username": "alicejohnson",
"url": "https://linkedin.com/in/alicejohnson"
}
}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Authorizations
API key for authentication (format: "Bearer YOUR_API_KEY")
Path Parameters
Record ID
Last modified on March 26, 2026
⌘I